function a = prediction(R,p,y)

% fonction calculant les coefficients a(i) du filtre
% permettant d'approximer le signal

% longueur de la matrice d'autocorrlation
N=length(R);

% on teste si on dsire un ordre plus grand que la
% taille de la matrice d'autocorrlation, car si
% c'est le cas, on ne pourra pas calculer ses coefficients
if N <= p
  disp('L ordre est trop grand\n');
  a=[];
  e=[];
else
  
  % calcul du vecteur pour la matrice de Toeplitz
  % on recopie les p premieres valeurs de R dans C
  for i=1:p,
    C(i)=R(i);
  end
  
  % calcul de la matrice de toeplitz  partir du vecteur C
  M=toeplitz(C);
  
  % calcul du 2eme terme en equation de Yule-Walker
  for i=2:p+1,
    T(i-1)=-R(i);
  end
  
  % on prend la transpose pour appliquer la fonction "\"
  T=T';
  
  % On calcule les valeurs des coefficients a(j)
  a=M\T;
  
end







